%define    longname  XLogical
%define    majorversion   1.0
%define    subversion 8
%define    sourceversion %{majorversion}-%{subversion}

%undefine _hardened_build


Summary:   %{longname} - A puzzle game
Name:      xlogical
Version:   %{majorversion}_%{subversion}
Release:   %mkrel 21
Source0:   %{name}-%{sourceversion}.tar.bz2
Source1:   %{name}-16.png
Source2:   %{name}-32.png
Source3:   %{name}-48.png
Patch0:    xlogical-c++-compil.patch
Patch1:    xlogical-gcc43.patch
Patch2:    xlogical-1.0-chown.patch
Patch3:    xlogical-1.0.8-gcc11.patch
Group:     Games/Puzzles
License: GPLv2+
URL:        https://changeling.ixionstudios.com/xlogical/
BuildRequires: pkgconfig(sdl)
BuildRequires: pkgconfig(SDL_image)
BuildRequires: pkgconfig(SDL_mixer)

%description
XLogical is a puzzle game based on an Amiga game developed
by Rainbow Arts called Logical. It features ray-traced graphics,
music, and sound effects. The game is addictive, requiring
parallel thinking and quick reflexes.

%prep
%setup -n %{name}-%{sourceversion} -q
%patch -P 0 -p0 -b .nanar
%patch -P 1 -p1 -b .gcc43
%patch -P 2 -p0 -b .chown
%patch -P 3 -p1 -b .gcc11

%build

rm -f config.* configure

autoreconf -fi
%configure --bindir=%_gamesbindir --datadir=%_gamesdatadir --localstatedir=%{_localstatedir}/lib

%make_build

%install
%makeinstall bindir=%buildroot%_gamesbindir datadir=%buildroot%_gamesdatadir localstatedir=%buildroot%{_localstatedir}/lib

install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=A puzzle game
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;LogicGame;
EOF

%files
%defattr(-,root,games)
%doc README COPYING ChangeLog AUTHORS NEWS TODO LICENSE
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%dir %{_localstatedir}/lib/%{name}
%{_localstatedir}/lib/%{name}/xlogical.scores
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/applications/mageia-%{name}.desktop


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.0_8-21.mga10
+ Revision: 2228239
- Mageia 10 Mass Rebuild

* Wed Sep 25 2024 ns80 <ns80> 1.0_8-20.mga10
+ Revision: 2101218
- undefine _hardened_build
- set _hardened_build to 0
- add -fPIE to try to fix the build

* Thu Nov 10 2022 ghibo <ghibo> 1.0_8-18.mga9
+ Revision: 1905130
- Merge Patch3 from gentoo to fix building
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0_8-16.mga8
+ Revision: 1518817
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0_8-15.mga7
+ Revision: 1301926
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 1.0_8-14.mga6
+ Revision: 933802
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0_8-13.mga5
+ Revision: 751151
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0_8-12.mga5
+ Revision: 690683
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0_8-11.mga4
+ Revision: 520632
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0_8-10.mga3
+ Revision: 387080
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 14 2012 fwang <fwang> 1.0_8-9.mga2
+ Revision: 208763
- build with latest autotools

* Sun May 08 2011 grenoya <grenoya> 1.0_8-9.mga1
+ Revision: 96283
- clean old Mdv syntax
- imported package xlogical


* Fri May 22 2009 Samuel Verschelde <stormi@mandriva.org> 1.0_8-9mdv2010.0
+ Revision: 378776
- fix autotools order

* Thu May 14 2009 Samuel Verschelde <stormi@mandriva.org> 1.0_8-8mdv2010.0
+ Revision: 375762
- fix highscores

* Thu May 14 2009 Samuel Verschelde <stormi@mandriva.org> 1.0_8-7mdv2010.0
+ Revision: 375700
- fix paths
- fix build
- fix Group and category

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0_8-3mdv2008.1
+ Revision: 136608
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix autoconf-2.5x path
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Mon Jan 15 2007 Olivier Thauvin <nanardon@mandriva.org> 1.0_8-3mdv2007.0
+ Revision: 108980
- buildrequires
- rebuild

* Sat Sep 09 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0_8-2mdv2007.0
+ Revision: 60632
- fix menu (use summary macros)

* Sun Jul 16 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0_8-1mdv2007.0
+ Revision: 41284
- fix patch to make it compil (couriousous)
- 1.0-8
- Import xlogical

* Wed Jun 16 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-7.cvs20030522.4mdk
- rebuild
- fix build

